import { useUserStoreWidthOut } from '@/store/modules/user';
const useUserStore = useUserStoreWidthOut();

export function getJsonVersion() {
  return useUserStore.config.json_version;
}

export const TemplateMoJun = 'mojun'; // 魔君
export const TemplateYanYv = 'yanyv'; // 烟雨

export function getAdminTemplate() {
  return useUserStore.config.admin_template;
}

export function getServerName(id) {
  if (useUserStore.config.server_option === undefined) {
    return `无服务器选项`;
  }

  for (let i = 0; i < useUserStore.config.server_option.length; i++) {
    if (useUserStore.config.server_option[i].value == id) {
      return useUserStore.config.server_option[i].name;
    }
  }

  return `未知`;
}
